ur_rna.Utilities

## Class DateHelper

- java.lang.Object
- - ur_rna.Utilities.DateHelper

-     public class DateHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EN_US`
    `static java.lang.String` | `EN_US_Format`
    `static int` | `FileDate`
    `static java.lang.String` | `FileDateFormat`
    `static int` | `FileDateTime`
    `static java.lang.String` | `FileDateTimeFormat`
    `static int` | `ISO8601`
    `static java.lang.String` | `ISO8601Format`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `format(java.util.Date d, int knownStyle)`
    `static java.lang.String` | `format(java.util.Date d, java.lang.String format)`
    `static java.util.Date` | `getDate()`
    `static java.lang.String` | `getFormattedDate(int knownStyle)`
    `static java.lang.String` | `getFormattedDate(java.lang.String format)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EN_US

          public static final int EN_US

      See Also:
        Constant Field Values

    - #### EN_US_Format

          public static final java.lang.String EN_US_Format

      See Also:
        Constant Field Values

    - #### FileDate

          public static final int FileDate

      See Also:
        Constant Field Values

    - #### FileDateFormat

          public static final java.lang.String FileDateFormat

      See Also:
        Constant Field Values

    - #### FileDateTime

          public static final int FileDateTime

      See Also:
        Constant Field Values

    - #### FileDateTimeFormat

          public static final java.lang.String FileDateTimeFormat

      See Also:
        Constant Field Values

    - #### ISO8601

          public static final int ISO8601

      See Also:
        Constant Field Values

    - #### ISO8601Format

          public static final java.lang.String ISO8601Format

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DateHelper

          public DateHelper()

  - ### Method Detail

    - #### format

          public static java.lang.String format(java.util.Date d,
                                                int knownStyle)

    - #### format

          public static java.lang.String format(java.util.Date d,
                                                java.lang.String format)

    - #### getDate

          public static java.util.Date getDate()

    - #### getFormattedDate

          public static java.lang.String getFormattedDate(int knownStyle)

    - #### getFormattedDate

          public static java.lang.String getFormattedDate(java.lang.String format)